Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.spring31.properties
Class EncryptablePropertiesPropertySource

    Object
      org.springframework.core.env.PropertySource<T>
          org.springframework.core.env.EnumerablePropertySource<Map<String,Object>>
              org.springframework.core.env.MapPropertySource
                  org.springframework.core.env.PropertiesPropertySource
                      org.jasypt.spring31.properties.EncryptablePropertiesPropertySource

    public final class EncryptablePropertiesPropertySource

extends org.springframework.core.env.PropertiesPropertySource

Since:
  1.9.0
Author:
  Daniel Fernández

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.core.env.PropertySource
`org.springframework.core.env.PropertySource.StubPropertySource`

Field Summary

Fields inherited from class org.springframework.core.env.EnumerablePropertySource
`EMPTY_NAMES_ARRAY, logger`

Fields inherited from class org.springframework.core.env.PropertySource
`name, source`

Constructor Summary
`EncryptablePropertiesPropertySource(String name, org.jasypt.properties.EncryptableProperties props)`
`EncryptablePropertiesPropertySource(String name, Properties props, org.jasypt.encryption.StringEncryptor encryptor)`
`EncryptablePropertiesPropertySource(String name, Properties props, org.jasypt.util.text.TextEncryptor encryptor)`

Method Summary

Methods inherited from class org.springframework.core.env.MapPropertySource
`getProperty, getPropertyNames`

Methods inherited from class org.springframework.core.env.EnumerablePropertySource
`containsProperty`

Methods inherited from class org.springframework.core.env.PropertySource
`equals, getName, getSource, hashCode, named, toString`

Methods inherited from class Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncryptablePropertiesPropertySource

    public EncryptablePropertiesPropertySource(String name,
                                               org.jasypt.properties.EncryptableProperties props)

### EncryptablePropertiesPropertySource

    public EncryptablePropertiesPropertySource(String name,
                                               Properties props,
                                               org.jasypt.util.text.TextEncryptor encryptor)

### EncryptablePropertiesPropertySource

    public EncryptablePropertiesPropertySource(String name,
                                               Properties props,
                                               org.jasypt.encryption.StringEncryptor encryptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.